Subject: Re: [bug#35790] [PATCH 2/2] lint: Separate checkers by dependence on the internet.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 12 Jul 2019 16:38:20 +0200

Hi,

Christopher Baines <[email-masked]> skribis:

> I think there are a couple of potential uses for this. It's somewhat a
> separation in to what checkers are just checking the contents of the
> repository (line length for example), and other checkers which are bringing in
> external information which could change.
>
> I'm thinking particularly, about treating network dependant checkers
> differently when automatically running them, but this commit also adds a
> --no-network flag to guix lint, which selects the checkers that don't access
> the network, which could be useful if no network access is available.
>
> * guix/lint.scm (%checkers): Rename to %all-checkers.
> (%local-checkers, %network-dependant-checkers): New variables.
> * guix/scripts/lint.scm (run-checkers): Make the checkers argument mandatory.
> (list-checkers-and-exit): Handle the checkers as an argument.
> (%options): Adjust for changes to %checkers, add a --no-network option, and
> change how the --list-checkers option is handled.
> (guix-lint): Adjust indentation, and update how the checkers are handled.

Nice.

> +(define %network-dependant-checkers
                          ^
Shouldn’t it be “dependent” with an ‘e’?

Otherwise LGTM, thanks!

Ludo’.